Artifact 69556eb898ad852b12a564ad6bccd80a2c1abf5f:
- Executable file
kitcreator
— part of check-in
[32589cdef2]
at
2010-09-26 04:41:40
on branch trunk
— Fixed issue with kitcreator including excluded packages after building with
them and then building without them
Fixed issue with Tcl pure-Tcl Metakit and Tcl 8.4 (user: rkeene, size: 2017) [annotate] [blame] [check-ins using]
#! /bin/bash TCLVERS="8.4.19" if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | grep '^cvs_' >/dev/null; then TCLVERS="$1" shift fi export TCLVERS # Determine appropriate mode mode="build" if [ "$1" = "clean" ]; then shift mode="clean" fi if [ "$1" = "distclean" ]; then shift mode="distclean" fi # Define the list of all packages, for cleaning purposes KITCREATOR_ALLPKGS="tcl tclvfs zlib tk itcl mk4tcl threads" for pkg in ${KITCREATOR_ALLPKGS}; do rm -f "${pkg}/build.log" rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build" if [ "${mode}" = "distclean" ]; then rm -rf "${pkg}/src" fi done # We're all done if we're in clean or distclean mode if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then exit 0 fi # Add packages implied by the additional arguments if [ -z "${KITCREATOR_PKGS}" ]; then KITCREATOR_PKGS="tk itcl mk4tcl" fi CONFIGUREEXTRA="$@" export CONFIGUREEXTRA if echo " ${CONFIGUREEXTRA} " | grep ' --enable-threads' >/dev/null 2>/dev/null; then KITCREATOR_PKGS="${KITCREATOR_PKGS} thread" fi failedpkgs="" buildfailed="0" for pkg in tcl tclvfs zlib ${KITCREATOR_PKGS} kitsh; do if [ "${mode}" = "distclean" ]; then rm -rf "${pkg}/src" fi echo -n "Building ${pkg} ..." failed="0" ( cd "${pkg}" >/dev/null 2>/dev/null || exit 1 ./build.sh > build.log 2>&1 || exit 1 ) || failed="1" if [ "${failed}" = "1" ]; then echo " failed." failedpkgs="${failedpkgs} ${pkg}" else echo " done." fi case "${pkg}" in tcl) TCLCONFIGDIR=$(find "$(pwd)/tcl/build" -name tclConfig.sh | head -1 | sed 's@/[^/]*$@@') export TCLCONFIGDIR ;; esac if [ "${failed}" = "1" ]; then buildfailed="1" fi done if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then rm -f tclkit-* exit 0 fi if [ -n "${failedpkgs}" ]; then echo "Failed to build:${failedpkgs}" fi if [ "${buildfailed}" != "0" ]; then echo 'WARNING: Build is likely incomplete or failed.' >&2 fi cp 'kitsh/build'/kitsh-*/kit "tclkit-${TCLVERS}" exit "${buildfailed}"